LootJS.lootTables(event => {
    const wellAndPyramidIDs = [
        'repurposed_structures:archaeology/well_cherry',
        'repurposed_structures:archaeology/well_forest',
        'repurposed_structures:archaeology/well_mossy_stone',
        'repurposed_structures:archaeology/well_mushroom',
        'repurposed_structures:archaeology/well_nether',
        'repurposed_structures:archaeology/well_snow',
        'repurposed_structures:archaeology/pyramid_jungle'
    ];

    const templeIDs = [
        'repurposed_structures:archaeology/temple_ocean'
    ];

    wellAndPyramidIDs.forEach(id => {
        event.getLootTable(id).firstPool().addEntry(LootEntry.of('sands_of_time:entropic_hourglass').withWeight(1));
    });

    templeIDs.forEach(id => {
        event.getLootTable(id).firstPool().addEntry(LootEntry.of('sands_of_time:entropic_hourglass').withWeight(2));
    });
});